# coding: utf-8
# frozen_string_literal: true
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'steam/proto/version'

Gem::Specification.new do |spec|
  spec.name          = 'steam-proto'
  spec.version       = Steam::Proto::VERSION
  spec.authors       = ['Taylor Finnell']
  spec.email         = ['tmfinnell@gmail.com']

  spec.summary       = 'Ruby access to Steam\'s Protobufs.'
  spec.description   = 'Load Steam\'s Protobuf objects from the Steam Client'\
                        ', CSGO, etc.'
  spec.homepage      = 'http://github.com/fastpeek/steam-proto.com'
  spec.licenses      = ['MIT']

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.add_dependency 'beefcake', '~> 1.2'

  spec.bindir        = 'bin'
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 0.45.0'
  spec.add_development_dependency 'pry', '~> 0.10'
end
